Bug 907481 (CVE-2013-0252)

Summary: CVE-2013-0252 boost: Certain invalid UTF-8 sequences accepted as valid
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: denis.arnaud_fedora, mnewsome, pertusus, redhat-bugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130201,reported=20130203,source=oss-security,cvss2=2.1/AV:L/AC:L/Au:N/C:N/I:P/A:N,rhel-5/boost=notaffected,rhel-6/boost=notaffected,fedora-all/boost=affected,fedora-17/boost141=notaffected,epel-5/boost141=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 907482    
Bug Blocks:    

Description Jan Lieskovsky 2013-02-04 09:20:03 EST
A security flaw was found in the way UTF-8 decoder of boost, set of free peer-reviewed portable C++ source libraries, performed validation of certain UTF-8 encoded sequences. If an application, linked against boost used the UTF-8 decoding routines for input validation (and depended at the results), an attacker could use this flaw to confuse the validator into (errorneously) accepting them as valid.

Upstream bug report:
[1] https://svn.boost.org/trac/boost/ticket/7743

Upstream advisory:
[2] http://www.boost.org/users/news/boost_locale_security_notice.html

Relevant upstream patch:
[3] http://cppcms.com/files/locale/boost_locale_utf.patch

References:
[4] http://www.openwall.com/lists/oss-security/2013/02/04/1
[5] http://www.openwall.com/lists/oss-security/2013/02/04/2
Comment 1 Jan Lieskovsky 2013-02-04 09:22:21 EST
This issue did NOT affect the versions of the boost package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the version of the boost package, as shipped with Fedora release of 16.

--

This issue affects the versions of the boost package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue did NOT affect the versions of the boost141 package, as shipped with Fedora release of 17 and Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2013-02-04 09:23:06 EST
Created boost tracking bugs for this issue

Affects: fedora-all [bug 907482]
Comment 3 Jan Lieskovsky 2013-02-04 09:24:41 EST
Statement:

Not vulnerable. This issue did not affect the versions of boost as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Fedora Update System 2013-02-22 19:53:27 EST
boost-1.48.0-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-02-22 19:58:24 EST
boost-1.50.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.